using System;

namespace SGModule.ConfigLoader {
    public enum ConfigLoaderState {
        None,
        Failed,
        JsonEmptyError,
        Successful
    }

    public class ConfigInitOptions {
        // 配置文件名
        public string Setting {
            get;
            set;
        }

        // 下载配置的地址
        public string CdnUrl {
            get;
            set;
        }

        // 配置加载回调
        public Action<ConfigLoaderState> OnComplete {
            get;
            set;
        }

        // 配置解析错误回调
        public Action<string, string> OnError {
            get;
            set;
        }

        // 处理未标记的配置
        public Action OnHandleUnmarkedConfig {
            get;
            set;
        }
    }
}
